Index: DataLoader/qsmearing.py
===================================================================
--- DataLoader/qsmearing.py	(revision 023c8e2681880c4cf42fd1240e018e99e28e1dd5)
+++ DataLoader/qsmearing.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -7,9 +7,9 @@
 #copyright 2008, University of Tennessee
 ######################################################################
-
+import numpy
+#import math
+import logging
+import sys
 import DataLoader.extensions.smearer as smearer
-import numpy
-import math
-import logging, sys
 from DataLoader.smearing_2d import Smearer2D
 
@@ -40,13 +40,14 @@
         return Smearer2D(data1D)
     
-    if  not hasattr(data1D, "dx") and not hasattr(data1D, "dxl") and not hasattr(data1D, "dxw"):
+    if  not hasattr(data1D, "dx") and not hasattr(data1D, "dxl")\
+         and not hasattr(data1D, "dxw"):
         return None
     
     # Look for resolution smearing data
     _found_resolution = False
-    if data1D.dx is not None and len(data1D.dx)==len(data1D.x):
+    if data1D.dx is not None and len(data1D.dx) == len(data1D.x):
         
         # Check that we have non-zero data
-        if data1D.dx[0]>0.0:
+        if data1D.dx[0] > 0.0:
             _found_resolution = True
             #print "_found_resolution",_found_resolution
@@ -58,9 +59,9 @@
     # Look for slit smearing data
     _found_slit = False
-    if data1D.dxl is not None and len(data1D.dxl)==len(data1D.x) \
-        and data1D.dxw is not None and len(data1D.dxw)==len(data1D.x):
+    if data1D.dxl is not None and len(data1D.dxl) == len(data1D.x) \
+        and data1D.dxw is not None and len(data1D.dxw) == len(data1D.x):
         
         # Check that we have non-zero data
-        if data1D.dxl[0]>0.0 or data1D.dxw[0]>0.0:
+        if data1D.dxl[0] > 0.0 or data1D.dxw[0] > 0.0:
             _found_slit = True
         
@@ -78,5 +79,4 @@
     if _found_slit == True:
         return SlitSmearer(data1D)
-    
     return None
             
@@ -101,6 +101,8 @@
         return result
 
-        
-    def _compute_matrix(self): return NotImplemented
+    def _compute_matrix(self):
+        """
+        """
+        return NotImplemented
 
     def get_bin_range(self, q_min=None, q_max=None):
@@ -115,17 +117,14 @@
         if not self._init_complete:
             self._initialize_smearer()
-            
         if q_min == None:
             q_min = self.min
-        
         if q_max == None:
             q_max = self.max
-        
-        _qmin_unsmeared, _qmax_unsmeared = self.get_unsmeared_range(q_min, q_max)
-        
+        _qmin_unsmeared, _qmax_unsmeared = self.get_unsmeared_range(q_min,
+                                                                     q_max)
         _first_bin = None
         _last_bin  = None
 
-        step = (self.max-self.min)/(self.nbins-1.0)
+        step = (self.max - self.min) / (self.nbins - 1.0)
         try:
             for i in range(self.nbins):
@@ -138,5 +137,7 @@
                         _last_bin  = i
         except:
-            raise RuntimeError, "_BaseSmearer.get_bin_range: error getting range\n  %s" % sys.exc_value
+            msg = "_BaseSmearer.get_bin_range: "
+            msg += " error getting range\n  %s" % sys.exc_value
+            raise RuntimeError, msg
                
         return _first_bin, _last_bin
@@ -152,20 +153,29 @@
              
         # Get the max value for the last bin
-        if last_bin is None or last_bin>=len(iq_in):
-            last_bin = len(iq_in)-1
+        if last_bin is None or last_bin >= len(iq_in):
+            last_bin = len(iq_in) - 1
         # Check that the first bin is positive
-        if first_bin<0:
+        if first_bin < 0:
             first_bin = 0
             
         # Sanity check
         if len(iq_in) != self.nbins:
-            raise RuntimeError, "Invalid I(q) vector: inconsistent array length %d != %s" % (len(iq_in), str(self.nbins))
+            msg = "Invalid I(q) vector: inconsistent array "
+            msg += " length %d != %s" % (len(iq_in), str(self.nbins))
+            raise RuntimeError, msg
              
         # Storage for smeared I(q)   
         iq_out = numpy.zeros(self.nbins)
-        smear_output = smearer.smear(self._smearer, iq_in, iq_out, first_bin, last_bin)
+        smear_output = smearer.smear(self._smearer, iq_in, iq_out,
+                                      first_bin, last_bin)
         if smear_output < 0:
-            raise RuntimeError, "_BaseSmearer: could not smear, code = %g" % smear_output
+            msg = "_BaseSmearer: could not smear, code = %g" % smear_output
+            raise RuntimeError, msg
         return iq_out
+    
+    def _initialize_smearer(self):
+        """
+        """
+        return NotImplemented
     
 class _SlitSmearer(_BaseSmearer):
@@ -207,6 +217,8 @@
         This method HAS to be called before smearing
         """
-        #self._smearer = smearer.new_slit_smearer(self.width, self.height, self.min, self.max, self.nbins)
-        self._smearer = smearer.new_slit_smearer_with_q(self.width, self.height, self.qvalues)
+        #self._smearer = smearer.new_slit_smearer(self.width,
+        # self.height, self.min, self.max, self.nbins)
+        self._smearer = smearer.new_slit_smearer_with_q(self.width, 
+                                                    self.height, self.qvalues)
         self._init_complete = True
 
@@ -241,19 +253,22 @@
         ## Slit width
         self.width = 0
-        if data1D.dxw is not None and len(data1D.dxw)==len(data1D.x):
+        if data1D.dxw is not None and len(data1D.dxw) == len(data1D.x):
             self.width = data1D.dxw[0]
             # Sanity check
             for value in data1D.dxw:
                 if value != self.width:
-                    raise RuntimeError, "Slit smearing parameters must be the same for all data"
-                
+                    msg = "Slit smearing parameters must "
+                    msg += " be the same for all data"
+                    raise RuntimeError, msg
         ## Slit height
         self.height = 0
-        if data1D.dxl is not None and len(data1D.dxl)==len(data1D.x):
+        if data1D.dxl is not None and len(data1D.dxl) == len(data1D.x):
             self.height = data1D.dxl[0]
             # Sanity check
             for value in data1D.dxl:
                 if value != self.height:
-                    raise RuntimeError, "Slit smearing parameters must be the same for all data"
+                    msg = "Slit smearing parameters must be"
+                    msg += " the same for all data"
+                    raise RuntimeError, msg
         
         ## Number of Q bins
@@ -283,11 +298,11 @@
         _BaseSmearer.__init__(self)
         ## Standard deviation in Q [A-1]
-        self.width  = width
+        self.width = width
         ## Q_min (Min Q-value for I(q))
-        self.min    = min
+        self.min = min
         ## Q_max (Max Q_value for I(q))
-        self.max    = max
+        self.max = max
         ## Number of Q bins 
-        self.nbins  = nbins
+        self.nbins = nbins
         ## Smearing matrix
         self._weights = None
@@ -299,6 +314,8 @@
         This method HAS to be called before smearing
         """
-        #self._smearer = smearer.new_q_smearer(numpy.asarray(self.width), self.min, self.max, self.nbins)
-        self._smearer = smearer.new_q_smearer_with_q(numpy.asarray(self.width), self.qvalues)
+        #self._smearer = smearer.new_q_smearer(numpy.asarray(self.width),
+        # self.min, self.max, self.nbins)
+        self._smearer = smearer.new_q_smearer_with_q(numpy.asarray(self.width),
+                                                      self.qvalues)
         self._init_complete = True
         
@@ -313,7 +330,7 @@
         _qmax_unsmeared = q_max 
         try:
-            offset = 3.0*max(self.width)
-            _qmin_unsmeared = max([self.min, q_min-offset])
-            _qmax_unsmeared = min([self.max, q_max+offset])
+            offset = 3.0 * max(self.width)
+            _qmin_unsmeared = max([self.min, q_min - offset])
+            _qmax_unsmeared = min([self.max, q_max + offset])
         except:
             logging.error("_QSmearer.get_bin_range: %s" % sys.exc_value)
@@ -336,5 +353,5 @@
         ## Resolution
         self.width = numpy.zeros(len(data1D.x))
-        if data1D.dx is not None and len(data1D.dx)==len(data1D.x):
+        if data1D.dx is not None and len(data1D.dx) == len(data1D.x):
             self.width = data1D.dx
         
@@ -350,11 +367,9 @@
 
 if __name__ == '__main__':
-    x = 0.001*numpy.arange(1,11)
-    y = 12.0-numpy.arange(1,11)
+    x = 0.001 * numpy.arange(1, 11)
+    y = 12.0 - numpy.arange(1, 11)
     print x
     #for i in range(10): print i, 0.001 + i*0.008/9.0 
     #for i in range(100): print i, int(math.floor( (i/ (100/9.0)) )) 
-
-    
     s = _SlitSmearer(nbins=10, width=0.0, height=0.005, min=0.001, max=0.010)
     #s = _QSmearer(nbins=10, width=0.001, min=0.001, max=0.010)
@@ -366,5 +381,5 @@
     if True:
         for i in range(10):
-            print x[i],y[i], sy[i]
+            print x[i], y[i], sy[i]
             #print q, ' : ', s.weight(q), s._compute_iq(q) 
             #print q, ' : ', s(q), s._compute_iq(q) 
Index: DataLoader/readers/IgorReader.py
===================================================================
--- DataLoader/readers/IgorReader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/IgorReader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -15,8 +15,11 @@
 """
 
-import os, sys
+import os
+#import sys
 import numpy
-import math, logging
-from DataLoader.data_info import Data2D, Detector
+import math
+#import logging
+from DataLoader.data_info import Data2D
+from DataLoader.data_info import Detector
 from DataLoader.manipulations import reader2D_converter
 
@@ -100,5 +103,6 @@
                     wavelength = float(line_toks[1])
                 except:
-                    raise ValueError,"IgorReader: can't read this file, missing wavelength"
+                    msg = "IgorReader: can't read this file, missing wavelength"
+                    raise ValueError, msg
                 
             #Find # of bins in a row assuming the detector is square.
@@ -130,10 +134,12 @@
                     wavelength = float(line_toks[1])
                 except:
-                    raise ValueError,"IgorReader: can't read this file, missing wavelength"
+                    msg = "IgorReader: can't read this file, missing wavelength"
+                    raise ValueError, msg
                 # Distance in meters
                 try:
                     distance = float(line_toks[3])
                 except:
-                    raise ValueError,"IgorReader: can't read this file, missing distance"
+                    msg = "IgorReader: can't read this file, missing distance"
+                    raise ValueError, msg
                 
                 # Distance in meters
@@ -141,5 +147,7 @@
                     transmission = float(line_toks[4])
                 except:
-                    raise ValueError,"IgorReader: can't read this file, missing transmission"
+                    msg = "IgorReader: can't read this file, "
+                    msg += "missing transmission"
+                    raise ValueError, msg
                                             
             if line.count("LAMBDA")>0:
@@ -151,5 +159,6 @@
                 line_toks = line.split()
                 
-                # Center in bin number: Must substrate 1 because the index starts from 1
+                # Center in bin number: Must substrate 1 because 
+                #the index starts from 1
                 center_x = float(line_toks[0])-1
                 center_y = float(line_toks[1])-1
@@ -168,5 +177,6 @@
                     or center_x == None \
                     or center_y == None:
-                    raise ValueError, "IgorReader:Missing information in data file"
+                    msg = "IgorReader:Missing information in data file"
+                    raise ValueError, msg
                 
             if dataStarted == True:
@@ -190,7 +200,10 @@
                 # Q = 4pi/lambda sin(theta/2)
                 # Bin size is 0.5 cm 
-                #REmoved +1 from theta = (i_x-center_x+1)*0.5 / distance / 100.0 and 
-                #REmoved +1 from theta = (i_y-center_y+1)*0.5 / distance / 100.0
-                #ToDo: Need  complete check if the following covert process is consistent with fitting.py.
+                #REmoved +1 from theta = (i_x-center_x+1)*0.5 / distance 
+                # / 100.0 and 
+                #REmoved +1 from theta = (i_y-center_y+1)*0.5 /
+                # distance / 100.0
+                #ToDo: Need  complete check if the following
+                # covert process is consistent with fitting.py.
                 theta = (i_x-center_x)*0.5 / distance / 100.0
                 qx = 4.0*math.pi/wavelength * math.sin(theta/2.0)
Index: DataLoader/readers/abs_reader.py
===================================================================
--- DataLoader/readers/abs_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/abs_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -1,2 +1,4 @@
+"""
+"""
 #####################################################################
 #This software was developed by the University of Tennessee as part of the
@@ -9,5 +11,6 @@
 import numpy
 import os
-from DataLoader.data_info import Data1D, Detector
+from DataLoader.data_info import Data1D
+from DataLoader.data_info import Detector
 
 has_converter = True
@@ -26,5 +29,5 @@
     type = ["IGOR 1D files (*.abs)|*.abs"]
     ## List of allowed extensions
-    ext=['.abs', '.ABS']  
+    ext = ['.abs', '.ABS']  
     
     def read(self, path):
@@ -78,5 +81,5 @@
                     
                     # Information line 1
-                    if is_info==True:
+                    if is_info == True:
                         is_info = False
                         line_toks = line.split()
@@ -85,26 +88,32 @@
                         try:
                             value = float(line_toks[1])
-                            if has_converter==True and output.source.wavelength_unit != 'A':
+                            if has_converter == True and \
+                                output.source.wavelength_unit != 'A':
                                 conv = Converter('A')
-                                output.source.wavelength = conv(value, units=output.source.wavelength_unit)
+                                output.source.wavelength = conv(value, 
+                                        units=output.source.wavelength_unit)
                             else:
                                 output.source.wavelength = value
                         except:
                             #goes to ASC reader
-                            raise  RuntimeError, "abs_reader: cannot open %s" % path
-                            #raise ValueError,"IgorReader: can't read this file, missing wavelength"
+                            msg = "abs_reader: cannot open %s" % path
+                            raise  RuntimeError, msg
+                            #raise ValueError,"IgorReader: can't read this file,
+                            # missing wavelength"
                         
                         # Distance in meters
                         try:
                             value = float(line_toks[3])
-                            if has_converter==True and detector.distance_unit != 'm':
+                            if has_converter == True and \
+                                detector.distance_unit != 'm':
                                 conv = Converter('m')
-                                detector.distance = conv(value, units=detector.distance_unit)
+                                detector.distance = conv(value, 
+                                                units=detector.distance_unit)
                             else:
                                 detector.distance = value
                         except:
                             #goes to ASC reader
-                            raise  RuntimeError, "abs_reader: cannot open %s" % path
-                        
+                            msg = "abs_reader: cannot open %s" % path
+                            raise  RuntimeError, msg
                         # Transmission 
                         try:
@@ -117,7 +126,9 @@
                         try:
                             value = float(line_toks[5])
-                            if has_converter==True and output.sample.thickness_unit != 'cm':
+                            if has_converter == True and \
+                                output.sample.thickness_unit != 'cm':
                                 conv = Converter('cm')
-                                output.sample.thickness = conv(value, units=output.sample.thickness_unit)
+                                output.sample.thickness = conv(value, 
+                                            units=output.sample.thickness_unit)
                             else:
                                 output.sample.thickness = value
@@ -126,10 +137,11 @@
                             pass
                     
-                    #MON CNT   LAMBDA   DET ANG   DET DIST   TRANS   THICK   AVE   STEP
-                    if line.count("LAMBDA")>0:
+                    #MON CNT   LAMBDA   DET ANG   DET DIST   TRANS   THICK 
+                    #  AVE   STEP
+                    if line.count("LAMBDA") > 0:
                         is_info = True
                         
                     # Find center info line
-                    if is_center==True:
+                    if is_center == True:
                         is_center = False                
                         line_toks = line.split()
@@ -139,8 +151,11 @@
                         
                         # Bin size
-                        if has_converter==True and detector.pixel_size_unit != 'mm':
+                        if has_converter == True and \
+                            detector.pixel_size_unit != 'mm':
                             conv = Converter('mm')
-                            detector.pixel_size.x = conv(5.0, units=detector.pixel_size_unit)
-                            detector.pixel_size.y = conv(5.0, units=detector.pixel_size_unit)
+                            detector.pixel_size.x = conv(5.0, 
+                                                units=detector.pixel_size_unit)
+                            detector.pixel_size.y = conv(5.0,
+                                                units=detector.pixel_size_unit)
                         else:
                             detector.pixel_size.x = 5.0
@@ -149,11 +164,14 @@
                         # Store beam center in distance units
                         # Det 640 x 640 mm
-                        if has_converter==True and detector.beam_center_unit != 'mm':
+                        if has_converter==True and \
+                            detector.beam_center_unit != 'mm':
                             conv = Converter('mm')
-                            detector.beam_center.x = conv(center_x*5.0, units=detector.beam_center_unit)
-                            detector.beam_center.y = conv(center_y*5.0, units=detector.beam_center_unit)
+                            detector.beam_center.x = conv(center_x * 5.0,
+                                             units=detector.beam_center_unit)
+                            detector.beam_center.y = conv(center_y * 5.0, 
+                                            units=detector.beam_center_unit)
                         else:
-                            detector.beam_center.x = center_x*5.0
-                            detector.beam_center.y = center_y*5.0
+                            detector.beam_center.x = center_x * 5.0
+                            detector.beam_center.y = center_y * 5.0
                         
                         # Detector type
@@ -164,10 +182,11 @@
                             pass
                     
-                    #BCENT(X,Y)   A1(mm)   A2(mm)   A1A2DIST(m)   DL/L   BSTOP(mm)   DET_TYP 
-                    if line.count("BCENT")>0:
+                    #BCENT(X,Y)   A1(mm)   A2(mm)   A1A2DIST(m)   DL/L 
+                    #  BSTOP(mm)   DET_TYP 
+                    if line.count("BCENT") > 0:
                         is_center = True
                         
                     # Parse the data
-                    if is_data_started==True:
+                    if is_data_started == True:
                         toks = line.split()
 
@@ -197,5 +216,6 @@
                             pass
                             
-                    #The 6 columns are | Q (1/A) | I(Q) (1/cm) | std. dev. I(Q) (1/cm) | sigmaQ | meanQ | ShadowFactor|
+                    #The 6 columns are | Q (1/A) | I(Q) (1/cm) | std. dev.
+                    # I(Q) (1/cm) | sigmaQ | meanQ | ShadowFactor|
                     if line.count("The 6 columns")>0:
                         is_data_started = True
@@ -203,11 +223,10 @@
                 # Sanity check
                 if not len(y) == len(dy):
-                    raise ValueError, "abs_reader: y and dy have different length"
-
+                    msg = "abs_reader: y and dy have different length"
+                    raise ValueError, msg
                 # If the data length is zero, consider this as
                 # though we were not able to read the file.
-                if len(x)==0:
+                if len(x) == 0:
                     raise ValueError, "ascii_reader: could not load file"
-               
                 output.x = x
                 output.y = y
